> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-feature-prod-8453-51bb.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create dashboard

> Create a new dashboard in a project



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json post /api/v1/projects/{projectUuid}/dashboards
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3225.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/projects/{projectUuid}/dashboards:
    post:
      tags:
        - Projects
      summary: Create dashboard
      description: Create a new dashboard in a project
      operationId: createDashboard
      parameters:
        - in: path
          name: projectUuid
          required: true
          schema:
            type: string
        - in: query
          name: duplicateFrom
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/DuplicateDashboardParams'
                - $ref: '#/components/schemas/CreateDashboard'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCreateDashboardResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    DuplicateDashboardParams:
      properties:
        dashboardDesc:
          type: string
        dashboardName:
          type: string
      required:
        - dashboardDesc
        - dashboardName
      type: object
    CreateDashboard:
      properties:
        colorPaletteUuid:
          type: string
          nullable: true
        config:
          $ref: '#/components/schemas/DashboardConfig'
        tabs:
          items:
            $ref: '#/components/schemas/DashboardTab'
          type: array
        spaceUuid:
          type: string
        updatedByUser:
          $ref: '#/components/schemas/Pick_UpdatedByUser.userUuid_'
        pinnedParameters:
          items:
            type: string
          type: array
        parameters:
          $ref: '#/components/schemas/DashboardParameters'
        filters:
          $ref: '#/components/schemas/DashboardFilters'
        tiles:
          items:
            anyOf:
              - $ref: '#/components/schemas/CreateDashboardChartTile'
              - $ref: '#/components/schemas/CreateDashboardMarkdownTile'
              - $ref: '#/components/schemas/CreateDashboardLoomTile'
              - $ref: '#/components/schemas/CreateDashboardSqlChartTile'
              - $ref: '#/components/schemas/CreateDashboardHeadingTile'
              - $ref: '#/components/schemas/CreateDashboardDataAppTile'
          type: array
        description:
          type: string
        name:
          type: string
      required:
        - tabs
        - tiles
        - name
      type: object
    ApiCreateDashboardResponse:
      properties:
        results:
          $ref: '#/components/schemas/Dashboard'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    DashboardConfig:
      properties:
        defaultDateZoomGranularity:
          anyOf:
            - $ref: '#/components/schemas/DateGranularity'
            - type: string
        dateZoomGranularities:
          items:
            anyOf:
              - $ref: '#/components/schemas/DateGranularity'
              - type: string
          type: array
        parameterOrder:
          items:
            type: string
          type: array
        pinnedParameters:
          items:
            type: string
          type: array
        isAddFilterDisabled:
          type: boolean
        isDateZoomDisabled:
          type: boolean
      required:
        - isDateZoomDisabled
      type: object
    DashboardTab:
      properties:
        hidden:
          type: boolean
        order:
          type: number
          format: double
          minimum: 0
        name:
          type: string
          minLength: 1
        uuid:
          type: string
      required:
        - order
        - name
        - uuid
      type: object
    Pick_UpdatedByUser.userUuid_:
      properties:
        userUuid:
          type: string
      required:
        - userUuid
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    DashboardParameters:
      $ref: '#/components/schemas/Record_string.DashboardParameterValue_'
    DashboardFilters:
      properties:
        tableCalculations:
          items:
            $ref: '#/components/schemas/DashboardFilterRule'
          type: array
        metrics:
          items:
            $ref: '#/components/schemas/DashboardFilterRule'
          type: array
        dimensions:
          items:
            $ref: '#/components/schemas/DashboardFilterRule'
          type: array
      required:
        - tableCalculations
        - metrics
        - dimensions
      type: object
    CreateDashboardChartTile:
      allOf:
        - $ref: '#/components/schemas/CreateDashboardTileBase'
        - $ref: '#/components/schemas/DashboardChartTileProperties'
    CreateDashboardMarkdownTile:
      allOf:
        - $ref: '#/components/schemas/CreateDashboardTileBase'
        - $ref: '#/components/schemas/DashboardMarkdownTileProperties'
    CreateDashboardLoomTile:
      allOf:
        - $ref: '#/components/schemas/CreateDashboardTileBase'
        - $ref: '#/components/schemas/DashboardLoomTileProperties'
    CreateDashboardSqlChartTile:
      allOf:
        - $ref: '#/components/schemas/CreateDashboardTileBase'
        - $ref: '#/components/schemas/DashboardSqlChartTileProperties'
    CreateDashboardHeadingTile:
      allOf:
        - $ref: '#/components/schemas/CreateDashboardTileBase'
        - $ref: '#/components/schemas/DashboardHeadingTileProperties'
    CreateDashboardDataAppTile:
      allOf:
        - $ref: '#/components/schemas/CreateDashboardTileBase'
        - $ref: '#/components/schemas/DashboardDataAppTileProperties'
    Dashboard:
      properties:
        deletedBy:
          properties:
            lastName:
              type: string
            firstName:
              type: string
            userUuid:
              type: string
          required:
            - lastName
            - firstName
            - userUuid
          type: object
          nullable: true
        deletedAt:
          type: string
          format: date-time
        colorPaletteUuid:
          type: string
          nullable: true
        config:
          $ref: '#/components/schemas/DashboardConfig'
        slug:
          type: string
        access:
          items:
            $ref: '#/components/schemas/SpaceAccess'
          type: array
          nullable: true
        inheritsFromOrgOrProject:
          type: boolean
        tabs:
          items:
            $ref: '#/components/schemas/DashboardTab'
          type: array
        pinnedListOrder:
          type: number
          format: double
          nullable: true
        pinnedListUuid:
          type: string
          nullable: true
        firstViewedAt:
          anyOf:
            - type: string
              format: date-time
            - type: string
          nullable: true
        views:
          type: number
          format: double
        spaceName:
          type: string
        spaceUuid:
          type: string
        updatedByUser:
          $ref: '#/components/schemas/UpdatedByUser'
        parameters:
          $ref: '#/components/schemas/DashboardParameters'
        filters:
          $ref: '#/components/schemas/DashboardFilters'
        tiles:
          items:
            $ref: '#/components/schemas/DashboardTile'
          type: array
        updatedAt:
          type: string
          format: date-time
        description:
          type: string
        verification:
          allOf:
            - $ref: '#/components/schemas/ContentVerificationInfo'
          nullable: true
        name:
          type: string
        uuid:
          type: string
        versionUuid:
          type: string
        dashboardVersionId:
          type: number
          format: double
        projectUuid:
          type: string
        organizationUuid:
          type: string
      required:
        - colorPaletteUuid
        - slug
        - access
        - inheritsFromOrgOrProject
        - tabs
        - pinnedListOrder
        - pinnedListUuid
        - firstViewedAt
        - views
        - spaceName
        - spaceUuid
        - filters
        - tiles
        - updatedAt
        - verification
        - name
        - uuid
        - versionUuid
        - dashboardVersionId
        - projectUuid
        - organizationUuid
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    DateGranularity:
      enum:
        - Second
        - Minute
        - Hour
        - Day
        - Week
        - Month
        - Quarter
        - Year
      type: string
    Record_string.DashboardParameterValue_:
      properties: {}
      additionalProperties:
        $ref: '#/components/schemas/DashboardParameterValue'
      type: object
      description: Construct a type with a set of properties K of type T
    DashboardFilterRule:
      allOf:
        - $ref: >-
            #/components/schemas/FilterRule_FilterOperator.DashboardFieldTarget.AnyType.AnyType_
        - properties:
            lockedTabUuids:
              items:
                type: string
              type: array
              description: >-
                Tab UUIDs where this filter is locked. When the active tab is in
                this

                list, viewers see the filter but cannot change it, and URL /
                embed

                filter overrides targeting the same field are ignored on that
                tab.

                Empty or omitted means the filter is not locked anywhere.
            singleValue:
              type: boolean
            label:
              type: string
            tileTargets:
              $ref: '#/components/schemas/Record_string.DashboardTileTarget_'
          type: object
    CreateDashboardTileBase:
      properties:
        tabUuid:
          type: string
          nullable: true
        w:
          type: number
          format: double
        h:
          type: number
          format: double
        'y':
          type: number
          format: double
        x:
          type: number
          format: double
        type:
          $ref: '#/components/schemas/DashboardTileTypes'
        uuid:
          type: string
      required:
        - w
        - h
        - 'y'
        - x
        - type
      type: object
    DashboardChartTileProperties:
      properties:
        properties:
          properties:
            chartSlug:
              type: string
              nullable: true
            lastVersionChartKind:
              allOf:
                - $ref: '#/components/schemas/ChartKind'
              nullable: true
            chartName:
              type: string
              nullable: true
            belongsToDashboard:
              type: boolean
            savedChartUuid:
              type: string
              nullable: true
            hideTitle:
              type: boolean
            title:
              type: string
          required:
            - savedChartUuid
          type: object
        type:
          $ref: '#/components/schemas/DashboardTileTypes.SAVED_CHART'
      required:
        - properties
        - type
      type: object
    DashboardMarkdownTileProperties:
      properties:
        properties:
          properties:
            hideFrame:
              type: boolean
            content:
              type: string
            title:
              type: string
          required:
            - content
            - title
          type: object
        type:
          $ref: '#/components/schemas/DashboardTileTypes.MARKDOWN'
      required:
        - properties
        - type
      type: object
    DashboardLoomTileProperties:
      properties:
        properties:
          properties:
            url:
              type: string
            hideTitle:
              type: boolean
            title:
              type: string
          required:
            - url
            - title
          type: object
        type:
          $ref: '#/components/schemas/DashboardTileTypes.LOOM'
      required:
        - properties
        - type
      type: object
    DashboardSqlChartTileProperties:
      properties:
        properties:
          properties:
            chartSlug:
              type: string
              nullable: true
            hideTitle:
              type: boolean
            chartName:
              type: string
            savedSqlUuid:
              type: string
              nullable: true
            title:
              type: string
          required:
            - chartName
            - savedSqlUuid
          type: object
        type:
          $ref: '#/components/schemas/DashboardTileTypes.SQL_CHART'
      required:
        - properties
        - type
      type: object
    DashboardHeadingTileProperties:
      properties:
        properties:
          properties:
            showDivider:
              type: boolean
            text:
              type: string
            title: {}
          required:
            - text
          type: object
        type:
          $ref: '#/components/schemas/DashboardTileTypes.HEADING'
      required:
        - properties
        - type
      type: object
    DashboardDataAppTileProperties:
      properties:
        properties:
          properties:
            appDeletedAt:
              type: string
              nullable: true
            appUuid:
              type: string
            hideTitle:
              type: boolean
            title:
              type: string
          required:
            - appUuid
            - title
          type: object
        type:
          $ref: '#/components/schemas/DashboardTileTypes.DATA_APP'
      required:
        - properties
        - type
      type: object
    SpaceAccess:
      properties:
        inheritedFrom:
          type: string
          enum:
            - organization
            - project
            - group
            - space_group
            - parent_space
        inheritedRole:
          anyOf:
            - $ref: '#/components/schemas/OrganizationMemberRole'
            - $ref: '#/components/schemas/ProjectMemberRole'
        projectRole:
          $ref: '#/components/schemas/ProjectMemberRole'
        hasDirectAccess:
          type: boolean
        role:
          $ref: '#/components/schemas/SpaceMemberRole'
        userUuid:
          type: string
      required:
        - hasDirectAccess
        - role
        - userUuid
      type: object
    UpdatedByUser:
      properties:
        userUuid:
          type: string
        firstName:
          type: string
        lastName:
          type: string
      required:
        - userUuid
        - firstName
        - lastName
      type: object
      additionalProperties: true
    DashboardTile:
      anyOf:
        - $ref: '#/components/schemas/DashboardChartTile'
        - $ref: '#/components/schemas/DashboardMarkdownTile'
        - $ref: '#/components/schemas/DashboardLoomTile'
        - $ref: '#/components/schemas/DashboardSqlChartTile'
        - $ref: '#/components/schemas/DashboardHeadingTile'
        - $ref: '#/components/schemas/DashboardDataAppTile'
    ContentVerificationInfo:
      properties:
        verifiedAt:
          type: string
          format: date-time
        verifiedBy:
          properties:
            lastName:
              type: string
            firstName:
              type: string
            userUuid:
              type: string
          required:
            - lastName
            - firstName
            - userUuid
          type: object
      required:
        - verifiedAt
        - verifiedBy
      type: object
    DashboardParameterValue:
      properties:
        value:
          $ref: '#/components/schemas/ParameterValue'
        parameterName:
          type: string
      required:
        - value
        - parameterName
      type: object
    FilterRule_FilterOperator.DashboardFieldTarget.AnyType.AnyType_:
      properties:
        values:
          items:
            $ref: '#/components/schemas/AnyType'
          type: array
          description: Values to filter by
        operator:
          $ref: '#/components/schemas/FilterOperator'
          description: Filter operator
        id:
          type: string
          description: Unique identifier for the filter
        target:
          $ref: '#/components/schemas/DashboardFieldTarget'
          description: Target field for the filter
        settings:
          $ref: '#/components/schemas/AnyType'
          description: Additional settings for date/time filters
        disabled:
          type: boolean
          description: Whether this filter is disabled
        required:
          type: boolean
          description: Whether this filter is required
        caseSensitive:
          type: boolean
          description: >-
            Overrides the field/explore case-sensitivity for this rule only.

            Used by internal features like autocomplete search that must always

            match case-insensitively regardless of the field's configured
            setting.
      required:
        - operator
        - id
        - target
      type: object
      additionalProperties: true
    Record_string.DashboardTileTarget_:
      properties: {}
      additionalProperties:
        $ref: '#/components/schemas/DashboardTileTarget'
      type: object
      description: Construct a type with a set of properties K of type T
    DashboardTileTypes:
      enum:
        - saved_chart
        - sql_chart
        - markdown
        - loom
        - heading
        - data_app
      type: string
    ChartKind:
      enum:
        - line
        - horizontal_bar
        - vertical_bar
        - scatter
        - area
        - mixed
        - pie
        - table
        - big_number
        - funnel
        - custom
        - treemap
        - gauge
        - map
        - sankey
      type: string
    DashboardTileTypes.SAVED_CHART:
      enum:
        - saved_chart
      type: string
    DashboardTileTypes.MARKDOWN:
      enum:
        - markdown
      type: string
    DashboardTileTypes.LOOM:
      enum:
        - loom
      type: string
    DashboardTileTypes.SQL_CHART:
      enum:
        - sql_chart
      type: string
    DashboardTileTypes.HEADING:
      enum:
        - heading
      type: string
    DashboardTileTypes.DATA_APP:
      enum:
        - data_app
      type: string
    OrganizationMemberRole:
      enum:
        - member
        - viewer
        - interactive_viewer
        - editor
        - developer
        - admin
      type: string
    ProjectMemberRole:
      enum:
        - viewer
        - interactive_viewer
        - editor
        - developer
        - admin
      type: string
    SpaceMemberRole:
      enum:
        - viewer
        - editor
        - admin
      type: string
    DashboardChartTile:
      allOf:
        - $ref: '#/components/schemas/DashboardTileBase'
        - $ref: '#/components/schemas/DashboardChartTileProperties'
    DashboardMarkdownTile:
      allOf:
        - $ref: '#/components/schemas/DashboardTileBase'
        - $ref: '#/components/schemas/DashboardMarkdownTileProperties'
    DashboardLoomTile:
      allOf:
        - $ref: '#/components/schemas/DashboardTileBase'
        - $ref: '#/components/schemas/DashboardLoomTileProperties'
    DashboardSqlChartTile:
      allOf:
        - $ref: '#/components/schemas/DashboardTileBase'
        - $ref: '#/components/schemas/DashboardSqlChartTileProperties'
    DashboardHeadingTile:
      allOf:
        - $ref: '#/components/schemas/DashboardTileBase'
        - $ref: '#/components/schemas/DashboardHeadingTileProperties'
    DashboardDataAppTile:
      allOf:
        - $ref: '#/components/schemas/DashboardTileBase'
        - $ref: '#/components/schemas/DashboardDataAppTileProperties'
    ParameterValue:
      anyOf:
        - type: string
        - type: number
          format: double
        - items:
            type: string
          type: array
        - items:
            type: number
            format: double
          type: array
    FilterOperator:
      enum:
        - isNull
        - notNull
        - equals
        - notEquals
        - startsWith
        - endsWith
        - include
        - doesNotInclude
        - lessThan
        - lessThanOrEqual
        - greaterThan
        - greaterThanOrEqual
        - inThePast
        - notInThePast
        - inTheNext
        - inTheCurrent
        - notInTheCurrent
        - inBetween
        - notInBetween
        - inPeriodToDate
      type: string
    DashboardFieldTarget:
      properties:
        fallbackType:
          $ref: '#/components/schemas/DimensionType'
        isSqlColumn:
          type: boolean
        tableName:
          type: string
        fieldId:
          type: string
      required:
        - tableName
        - fieldId
      type: object
    DashboardTileTarget:
      anyOf:
        - $ref: '#/components/schemas/DashboardFieldTarget'
        - type: boolean
          enum:
            - false
    DashboardTileBase:
      $ref: '#/components/schemas/Required_CreateDashboardTileBase_'
    DimensionType:
      enum:
        - string
        - number
        - timestamp
        - date
        - boolean
      type: string
    Required_CreateDashboardTileBase_:
      properties:
        uuid:
          type: string
        type:
          $ref: '#/components/schemas/DashboardTileTypes'
        x:
          type: number
          format: double
        'y':
          type: number
          format: double
        h:
          type: number
          format: double
        w:
          type: number
          format: double
        tabUuid:
          type: string
          nullable: true
      required:
        - uuid
        - type
        - x
        - 'y'
        - h
        - w
      type: object
      description: Make all properties in T required

````